<div>
    <h2 id="page-heading">
        <span jhiTranslate="locadoraApp.dadosPessoais.home.title">Dados Pessoais</span>
        <button id="jh-create-entity" class="btn btn-primary float-right jh-create-entity create-dados-pessoais" [routerLink]="['/dados-pessoais/new']">
            <fa-icon [icon]="'plus'"></fa-icon>
            <span  jhiTranslate="locadoraApp.dadosPessoais.home.createLabel">
            Create new Dados Pessoais
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <br/>
    <div class="table-responsive" *ngIf="dadosPessoais">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="tipoPessoa"><span jhiTranslate="locadoraApp.dadosPessoais.tipoPessoa">Tipo Pessoa</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="nome"><span jhiTranslate="locadoraApp.dadosPessoais.nome">Nome</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="documentoReceitaFederal"><span jhiTranslate="locadoraApp.dadosPessoais.documentoReceitaFederal">Documento Receita Federal</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="situacao"><span jhiTranslate="locadoraApp.dadosPessoais.situacao">Situacao</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="observacao"><span jhiTranslate="locadoraApp.dadosPessoais.observacao">Observacao</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th jhiSortBy="userEmail"><span jhiTranslate="locadoraApp.dadosPessoais.user">User</span> <fa-icon [icon]="'sort'"></fa-icon></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let dadosPessoais of dadosPessoais ;trackBy: trackId">
                <td><a [routerLink]="['/dados-pessoais', dadosPessoais.id, 'view' ]">{{dadosPessoais.id}}</a></td>
                <td jhiTranslate="{{'locadoraApp.TipoPessoa.' + dadosPessoais.tipoPessoa}}">{{dadosPessoais.tipoPessoa}}</td>
                <td>{{dadosPessoais.nome}}</td>
                <td>{{dadosPessoais.documentoReceitaFederal}}</td>
                <td jhiTranslate="{{'locadoraApp.ClienteSituacao.' + dadosPessoais.situacao}}">{{dadosPessoais.situacao}}</td>
                <td>{{dadosPessoais.observacao}}</td>
                <td>
                    {{dadosPessoais.userEmail}}
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['/dados-pessoais', dadosPessoais.id, 'view' ]"
                                class="btn btn-info btn-sm">
                            <fa-icon [icon]="'eye'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/dados-pessoais', dadosPessoais.id, 'edit']"
                                class="btn btn-primary btn-sm">
                            <fa-icon [icon]="'pencil-alt'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', 'dados-pessoais', { outlets: { popup: dadosPessoais.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <fa-icon [icon]="'times'"></fa-icon>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
    <!-- Pager is not implemented yet, so this is normal pagination instead -->
    <div *ngIf="dadosPessoais && dadosPessoais.length">
        <div class="row justify-content-center">
            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
        </div>
        <div class="row justify-content-center">
            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadPage(page)"></ngb-pagination>
        </div>
    </div>
</div>
